### R code from vignette source 'Mergeomics.Rnw'

###################################################
### code chunk number 1: Mergeomics.Rnw:81-83
###################################################
# install.packages("Mergeomics_0.99.1.tar.gz", repos = NULL, 
# type="source")


###################################################
### code chunk number 2: Mergeomics.Rnw:146-185
###################################################
###########################################################
#######    One-step analysis for Mergeomics       #########
###########################################################
## Import library scripts.
# library(Mergeomics)
################ MSEA (Marker set enrichment analysis)  ###
# job.msea <- list()
# job.msea$label <- "hdlc"
# job.msea$folder <- "Results"
# job.msea$genfile <- system.file("extdata", 
# "genes.hdlc_040kb_ld70.human_eliminated.txt", package="Mergeomics")
# job.msea$marfile <- system.file("extdata", 
# "marker.hdlc_040kb_ld70.human_eliminated.txt", package="Mergeomics")
# job.msea$modfile <- system.file("extdata", 
# "modules.mousecoexpr.liver.human.txt", package="Mergeomics")
# job.msea$inffile <- system.file("extdata", "coexpr.info.txt", 
# package="Mergeomics")
# job.msea <- ssea.start(job.msea)
# job.msea <- ssea.prepare(job.msea)
# job.msea <- ssea.control(job.msea)
# job.msea <- ssea.analyze(job.msea)
# job.msea <- ssea.finish(job.msea)
#########  Create intermediary datasets for KDA ###########
# syms <- tool.read(system.file("extdata", "symbols.txt", 
# package="Mergeomics"))
# syms <- syms[,c("HUMAN", "MOUSE")]
# names(syms) <- c("FROM", "TO")
# job.kda <- ssea2kda(job.msea, symbols=syms)
#######   wKDA (Weighted key driver analysis)    ##########
# job.kda$netfile <- system.file("extdata", 
# "network.mouseliver.mouse.txt", package="Mergeomics")
# job.kda <- kda.configure(job.kda)
# job.kda <- kda.start(job.kda)
# job.kda <- kda.prepare(job.kda)
# job.kda <- kda.analyze(job.kda)
# job.kda <- kda.finish(job.kda)
######  Prepare network files for visualization   #########
## Creates the input files for Cytoscape (http://www.cytoscape.org/)
# job.kda <- kda2cytoscape(job.kda)


###################################################
### code chunk number 3: Mergeomics.Rnw:193-237
###################################################
###########################################################
## Import Mergeomics library.
# library("Mergeomics")
## create an empty list for setting parameters
# job.msea <- list()
## Next, label your project
# job.msea$label <- "HDLC"
## The pathway size varies from 1 to a few thousands and will
## introduce bias to the analysis. We set criteria for the 
## min. (mingenes) and max. (maxgenes) gene size for the pathways.
# job.msea$maxgenes <- 500
# job.msea$mingenes <- 10
## set the output folder
# job.msea$folder <- "./Result"
## The parameter genfile defines the Marker-to-Gene mapping file
## It contains two columns, GENE and MARKER, delimited by tab 
# job.msea$genfile <- system.file("extdata", 
# "genes.hdlc_040kb_ld70.human_eliminated.txt", package="Mergeomics")
## The parameter marfile defines the Disease association data file
## It contains two columns, MARKER and VALUE, delimited by tab
## Here, the marfile comes from the GWAS file after marker 
## dependency pruning, so the VALUE is the minus log10 transformed
# job.msea$marfile <- system.file("extdata", 
# "marker.hdlc_040kb_ld70.human_eliminated.txt", package="Mergeomics")
## The modfile defines the pathway information, which could come 
## from knowledge-based databases (such as KEGG, and Reactome) 
## or data-driven data sets (such as co-expression modules).
## It contains two columns, MOUDLE and GENE, delimited by tab
# job.msea$modfile <- system.file("extdata", 
# "modules.mousecoexpr.liver.human.txt", package="Mergeomics")
## The inffile provides the basic descriptions for the pathways
## It contains three columns, MODULE, SOURCE, and DESCR, which 
## provide information for pathway IDs corresponding to the 
## pathway names in modfile, the sources of the pathways, and
## pathway annotations
# job.msea$inffile <- system.file("extdata", "coexpr.info.txt", 
# package="Mergeomics")
## Then, MSEA will run for ~30 minutes to ~2 hours
# job.msea <- ssea.start(job.msea)
# job.msea <- ssea.prepare(job.msea)
# job.msea <- ssea.control(job.msea)
# job.msea <- ssea.analyze(job.msea)
# job.msea <- ssea.finish(job.msea)
###########################################################


###################################################
### code chunk number 4: Mergeomics.Rnw:272-299
###################################################
###########################################################
# job <-list()
# job$folder <- c("module_merge")
## The moddata and modinfo come from the significant pathways
## in MSEA
# moddata <- tool.read("PATHtoDATAFILES/Significant_pathways.txt", 
# c("MODULE","GENE"))
# modinfo <- tool.read("PATHtoDATAFILES/Significant_pathways.info.txt",
# c("MODULE","SOURCE","DESCR"))
## Merge and trim overlapping modules.
# rmax <- 0.2
# moddata$OVERLAP <- moddata$MODULE
# moddata <- tool.coalesce(items=moddata$GENE, groups=moddata$MODULE, 
# rcutoff=rmax)
# moddata$MODULE <- moddata$CLUSTER
# moddata$GENE <- moddata$ITEM
# moddata$OVERLAP <- moddata$GROUPS
# moddata <- moddata[,c("MODULE", "GENE", "OVERLAP")]
# moddata <- unique(moddata)
## Mark modules with overlaps.
# for(i in which(moddata$MODULE != moddata$OVERLAP))
#     moddata[i,"MODULE"] <- paste(moddata[i,"MODULE"], "..", sep=",")
## Save module info for KDA.
# modfile <- "merged_modules.txt"
# tool.save(frame=unique(moddata[,c("MODULE", "GENE", "OVERLAP")]),
# file=modfile, directory=job$folder)
###########################################################


###################################################
### code chunk number 5: Mergeomics.Rnw:314-324
###################################################
###########################################################
## Assume there are three MSEA objects passed down by 
## ssea.finish()
# job.metamsea = list()
# job.metamsea$job1 = job.msea1
# job.metamsea$job2 = job.msea2
# job.metamsea$job3 = job.msea3
# job.metamsea = ssea.meta(job.metamsea,"meta_label",
# "meta_folder")
###########################################################


###################################################
### code chunk number 6: Mergeomics.Rnw:335-364
###################################################
###########################################################
# job.kda <- list()
# job.kda$label<-"HDLC"
## parent folder for results
# job.kda$folder<-"./Results"
## Input a network
## columns: TAIL HEAD WEIGHT
# system.file("extdata", "network.mouseliver.mouse.txt", 
# package="Mergeomics")
## Gene sets derived from ModuleMerge, containing two columns,
## MODULE, NODE, delimited by tab 
# job.kda$modfile<-"HDLC_Combined.txt"
## Annotation file for the gene sets
# job.kda$inffile<-"HDLC_Combined.anno.txt"
## "0" means we do not consider edge weights while 1 is 
## opposite.
# job.kda$edgefactor<-0.0
## The searching depth for the KDA
# job.kda$depth<-1
## "0" means we do not consider the directions of the 
## regulatory interactions
## while 1 is opposite.
# job.kda$direction<-0
## Let us run KDA!
# job.kda <- kda.start(job.kda)
# job.kda <- kda.prepare(job.kda)
# job.kda <- kda.analyze(job.kda)
# job.kda <- kda.finish(job.kda)
###########################################################


###################################################
### code chunk number 7: Mergeomics.Rnw:413-417
###################################################
###########################################################
# job.kda <- kda2cytoscape (job.kda, node.list=NULL, 
# modules=NULL, ndrivers=5, depth=1)
###########################################################


